<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package UIU_CSE
 */
?>

<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'uiu-cse'); ?></a>
		<header id="navbar">
			<section id="uiu-global-nav">
				<nav class="container-fluid">
					<div class="logo-close-menu">
						<span id="menu-bars" class="material-icons">
							menu
						</span>
						<a class="logo" href="<?php echo get_site_url(); ?>"> <img src="<?php echo (get_header_image()); ?>" alt="<?php echo (get_bloginfo('title')); ?>" /></a>
						<span id="seacrh" class="seacrh material-symbols-outlined" onclick="openSearch()">
							search
						</span>
					</div>
					<?php wp_nav_menu(array('theme_location' => 'uiu-global-header-menu', 'container_class' => 'uiu-global-header-menu'));
					?>
				</nav>
			</section>

			<section id="uiu-departmental-nav">
				<nav class="container-fluid">
					<div id="responsive-btn" class="dep-name-res-icon">
						<span class="department">
							Departmental Menu of CSE
						</span>
						<span class="responsive-btn material-symbols-outlined">
							filter_list
						</span>
					</div>
					<?php wp_nav_menu(array('theme_location' => 'uiu-departmental-header-menu', 'container_class' => 'uiu-departmental-header-menu'));
					?>
				</nav>
			</section>
		</header>




		<!-- #masthead -->