<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package UIU_CSE
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'uiu-cse'); ?></a>

		<header id="navbar">

			<section id="upper-nav">

				<nav class="container-fluid">

					<div class="logo-close-menu">

						<a class="logo" href="<?php echo get_site_url(); ?>"> <img src="<?php echo (get_header_image()); ?>" alt="<?php echo (get_bloginfo('title')); ?>" /></a>

						<a id="menu-bars" class="material-icons">
							menu
						</a>
					</div>


					<ul class="upper-menu-link">

						<li class="menu-item">
							<a class="menu-btn"><span>About</span></a>
							<span class="menu-content">
								<div class="all-link container">


									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Examinations</a></li>
										</ul>
										<ul>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Admission</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>
										<ul>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Research</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
										</ul>
										<ul>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Student accommodation</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Media</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Careers Service</a></li>
										</ul>
										<ul>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Student portal</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Faculty</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
										</ul>
										<ul>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Examinations</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Contact</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>
										<ul>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>

									</div>

								</div>
							</span>

						</li>

						<li>
							<a>
								<span onclick="openSearch()">Search </span>
							</a>
						</li>

					</ul>

				</nav>

			</section>

			<section id="lower-nav">

				<nav class="container-fluid">
					<ul class="lower-menu-link">

						<li class="menu-item">
							<a class="menu-btn"><span>About</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>

									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>
										<ul>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Admission</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
										</ul>
										<ul>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Examinations</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Faculties</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Careers Service</a></li>
										</ul>
										<ul>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Student portal</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Publication</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Student blog</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
										</ul>
										<ul>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">Information for Employers</a></li>
											<li><a href="#">Student accommodation</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Events & Notices</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>
										<ul>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Students & Alumni</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">

										<ul>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>
										<ul>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>

						<li class="menu-item">
							<a class="menu-btn"><span>Contact</span></a>
							<span class="menu-content">
								<div class="all-link container">

									<div class="extra-item">
										<img src="<?php echo (get_template_directory_uri()) ?>/img/menu-background.jpg" alt="">

										<div class="heading-text">
											Research
										</div>
										<div class="text">
											We collect personal information from you so we can provide investment services to you.
										</div>
									</div>

									<div class="link-container">


										<ul>
											<li><a href="#">Student portal</a></li>
											<li><a href="#">Examinations</a></li>
											<li><a href="#">Support and wellbeing</a></li>
											<li><a href="#">Current students overview</a></li>
											<li><a href="#">Student blog</a></li>
										</ul>
										<ul>
											<li><a href="#">Careers Service</a></li>
											<li><a href="#">Student accommodation</a></li>
											<li><a href="#">Request a transcript</a></li>
											<li><a href="#">BLOOM @ Senate House</a></li>
											<li><a href="#">Information for Employers</a></li>
										</ul>

									</div>

								</div>
							</span>
						</li>
					</ul>
				</nav>

			</section>

		</header>

		<?php wp_nav_menu(array('theme_location' => 'uiu-header-menu', 'container_class' => 'custom-menu-class'));
		?>


		<!-- #masthead -->