<?php

/**
 * Template Name: Course Plan
 *
 * @package UIU_CSE
 */

get_header();
?>

<?php while (have_posts()) : the_post(); ?>

    <main id="primary" class="site-main">

        <section id="archive-hero">

            <div class="container">

                <!-- breadcrumb -->
                <nav aria-label="breadcrumb">
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">UG Program</a></li>
                        <li>Cours e Plan</li>
                    </ul>
                </nav>

                <div class="content">

                    <!-- left content -->
                    <div class="left-content">

                        <div class="main-title">Course Plan</div>

                        <div class="short-details">
                            Lorem ipsum dolor sit amet consectetur adipisicing elit. Quibusdam quis eos temporibus vel!.
                        </div>

                        <div class="links">

                            <!-- message -->
                            <a href="#">
                                <img src="<?php echo (get_template_directory_uri()) ?>/img/envelope-solid.svg" alt="">
                            </a>

                            <!-- printer -->
                            <a href="#">
                                <img src="<?php echo (get_template_directory_uri()) ?>/img/print-solid.svg" alt="">
                            </a>

                            <!-- facebook -->
                            <a href="#">
                                <img src="<?php echo (get_template_directory_uri()) ?>/img/facebook-f.svg" alt="">
                            </a>

                            <!-- twitter -->
                            <a href="#">
                                <img src="<?php echo (get_template_directory_uri()) ?>/img/twitter.svg" alt="">
                            </a>

                            <!-- linkedin -->
                            <a href="#">
                                <img src="<?php echo (get_template_directory_uri()) ?>/img/linkedin-in.svg" alt="">
                            </a>

                        </div>

                    </div>

                    <!-- right content -->
                    <div class="right-content">
                        <img src="<?php echo (get_template_directory_uri()) ?>/img/campus_07.jpg" alt="">
                    </div>

                </div>
            </div>



        </section>


        <section class="container">

            <section id="course-plan-container">


                <!-- side component -->
                <div class="side-comp">


                    <!--  link -->
                    <div class="item">

                        <!-- title -->
                        <div class="item-title">
                            UG PROGRAM (B.SC IN CSE)
                        </div>

                        <!-- item container -->
                        <div class="link-container">

                            <ul>

                                <li>
                                    <a href="#">Course Plan</a>
                                </li>

                                <li>
                                    <a href="#">Course Description</a>
                                </li>

                                <li>
                                    <a href="#">Course Plan (Old)</a>
                                </li>

                                <li>
                                    <a href="#">Course Description (New)</a>
                                </li>

                                <li>
                                    <a href="#">Mentor List</a>
                                </li>

                            </ul>


                        </div>


                    </div>


                    <!--  notice -->
                    <div class="item">

                        <!-- title -->
                        <div class="item-title">
                            NOTICES
                        </div>

                        <!-- item container -->
                        <div class="item-container">

                            <a class="single-item" href="#">
                                <div class="date">
                                    January 28, 2024
                                </div>
                                <div class="details">
                                    Orientation Program for the Newly Admitted Students of Summer 2023 Trimester
                                </div>
                            </a>

                            <a class="single-item" href="#">
                                <div class="date">
                                    January 28, 2024
                                </div>
                                <div class="details">
                                    Orientation Program for the Newly Admitted Students of Summer 2023 Trimester
                                </div>
                            </a>

                            <a class="single-item" href="#">
                                <div class="date">
                                    January 28, 2024
                                </div>
                                <div class="details">
                                    Orientation Program for the Newly Admitted Students of Summer 2023 Trimester
                                </div>
                            </a>

                            <a class="single-item" href="#">
                                <div class="date">
                                    January 28, 2024
                                </div>
                                <div class="details">
                                    Orientation Program for the Newly Admitted Students of Summer 2023 Trimester
                                </div>
                            </a>

                            <a class="single-item" href="#">
                                <div class="date">
                                    January 28, 2024
                                </div>
                                <div class="details">
                                    Orientation Program for the Newly Admitted Students of Summer 2023 Trimester
                                </div>
                            </a>

                        </div>

                        <!-- view more button -->
                        <a class="view-more" href="#">
                            <div class="icon">
                                <img src="./img/square-plus-solid.svg" alt="">
                            </div>
                            <span>
                                View more
                            </span>
                        </a>

                    </div>



                </div>


                <!-- main component -->
                <div class="main-comp">

                    <article>

                        <!-- <h2>Course Plan</h2> -->
                        <?php the_content();
                        ?>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td colspan="4" class="td-title" style="border-top: none">
                                            <p class="text-center"><strong>(A) Language (6 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>ENG 1011</td>
                                        <td>Intensive English I</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>ENG 1013</td>
                                        <td>Intensive English II</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="td-title">
                                            <p class="text-center"><strong>(B) General Education (14 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="4"><strong>Compulsory (8 credits)</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>SOC 2101</td>
                                        <td>Society, Environment and Engineering Ethics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>PMG 4101</td>
                                        <td>Project Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>BDS 1201</td>
                                        <td>History of the Emergence of Bangladesh</td>
                                        <td>2.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4"><strong>Optional (Any two: 6 credits)</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>ECO 4101</td>
                                        <td>Economics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>SOC 4101</td>
                                        <td>Introduction to Sociology</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>ACT 2111</td>
                                        <td>Financial and Managerial Accounting</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>IPE 3401</td>
                                        <td>Industrial and Operational Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>TEC 2499</td>
                                        <td>Technology Entrepreneurship</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td>PSY 2101</td>
                                        <td>Psychology</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>7</td>
                                        <td>BDS 2201</td>
                                        <td>Bangladesh Studies</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>8</td>
                                        <td>BAN 2501</td>
                                        <td>Bangla</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="td-title">
                                            <p class="text-center"><strong>(C) Basic Sciences (7 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>PHY 2105</td>
                                        <td>Physics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>PHY 2106</td>
                                        <td>Physics Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>BIO 3105</td>
                                        <td>Biology for Engineers</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="td-title">
                                            <p class="text-center"><strong>(D) Mathematics (12 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>MATH 1151</td>
                                        <td>Fundamental Calculus</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>MATH 2183</td>
                                        <td>Calculus and Linear Algebra</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>MATH 2201</td>
                                        <td>Coordinate Geometry and Vector Analysis</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>MATH 2205</td>
                                        <td>Probability and Statistics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="4" class="td-title">
                                            <p class="text-center"><strong>(E) Other Engineering (10 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>EEE 2113</td>
                                        <td>Electrical Circuits</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>EEE 2123</td>
                                        <td>Electronics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>EEE 2124</td>
                                        <td>Electronics Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>EEE 4261</td>
                                        <td>Green Computing</td>
                                        <td>3.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>(F) Core Courses (65 credits)&nbsp;</strong></p>

                        <p class="text-center"><strong>List of Courses</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td colspan="5" class="td-title">
                                            <p class="text-center"><strong>Programming Compulsory (10 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 1110</td>
                                        <td colspan="2">Introduction to Computer Systems</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 1111</td>
                                        <td colspan="2">Structured Programming Language</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 1112</td>
                                        <td colspan="2">Structured Programming Language Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 1115</td>
                                        <td colspan="2">Object Oriented Programming</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 1116</td>
                                        <td colspan="2">Object Oriented Programming Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td>CSE 2118</td>
                                        <td colspan="2">Advanced Object Oriented Programming Lab</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="5" class="td-title">
                                            <p class="text-center"><strong>Programming Optional (Any one: 3 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 4165</td>
                                        <td colspan="2">Web Programming</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 4181</td>
                                        <td colspan="2">Mobile Application Development</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="5" class="td-title">
                                            <p class="text-center"><strong>Hardware (11 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 1325</td>
                                        <td colspan="2">Digital Logic Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 1326</td>
                                        <td colspan="2">Digital Logic Design Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 3313</td>
                                        <td colspan="2">Computer Architecture</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 4325</td>
                                        <td colspan="2">Microprocessors and Microcontrollers</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 4326</td>
                                        <td colspan="2">Microprocessors and Microcontrollers Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="5" class="td-title">
                                            <p class="text-center"><strong>Logics and Algorithms (14 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 2213</td>
                                        <td colspan="2">Discrete Mathematics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 2215</td>
                                        <td colspan="2">Data Structure and Algorithms I</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 2216</td>
                                        <td colspan="2">Data Structure and Algorithms I Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 2217</td>
                                        <td colspan="2">Data Structure and Algorithms II</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 2218</td>
                                        <td colspan="2">Data Structure and Algorithms II Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td>CSE 2233</td>
                                        <td colspan="2">Theory of Computation</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="5" class="td-title">
                                            <p class="text-center"><strong>Software Engineering (8 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 3411</td>
                                        <td colspan="2">System Analysis and Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 3412</td>
                                        <td colspan="2">System Analysis and Design Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 3421</td>
                                        <td colspan="2">Software Engineering</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 3422</td>
                                        <td colspan="2">Software Engineering Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Systems (19 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">1</td>
                                        <td colspan="2">CSE 4531</td>
                                        <td colspan="3">Computer Security</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">2</td>
                                        <td colspan="2">CSE 3521</td>
                                        <td colspan="3">Database Management Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">3</td>
                                        <td colspan="2">CSE 3522</td>
                                        <td colspan="3">Database Management Systems Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">4</td>
                                        <td colspan="2">CSE 4509</td>
                                        <td colspan="3">Operating Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">5</td>
                                        <td colspan="2">CSE 4510</td>
                                        <td colspan="3">Operating Systems Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">6</td>
                                        <td colspan="2">CSE 3711</td>
                                        <td colspan="3">Computer Networks</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">7</td>
                                        <td colspan="2">CSE 3712</td>
                                        <td colspan="3">Computer Networks Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">8</td>
                                        <td colspan="2">CSE 3811</td>
                                        <td colspan="3">Artificial Intelligence</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">9</td>
                                        <td colspan="2">CSE 3812</td>
                                        <td colspan="3">Artificial Intelligence Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>(G) (Any 5: 15 credits) at least 3 courses have to be completed from 1 area</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Computational Theory</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">1</td>
                                        <td colspan="2">CSE 4601</td>
                                        <td colspan="3">Mathematical Analysis for Computer Science</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">2</td>
                                        <td colspan="2">CSE 4633</td>
                                        <td colspan="3">Basic Graph Theory</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">3</td>
                                        <td colspan="2">CSE 4655</td>
                                        <td colspan="3">Algorithm Engineering</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">4</td>
                                        <td colspan="2">CSE 4611</td>
                                        <td colspan="3">Compiler Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">5</td>
                                        <td colspan="2">CSE 4613</td>
                                        <td colspan="3">Computational Geometry</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">6</td>
                                        <td colspan="2">CSE 4621</td>
                                        <td colspan="3">Computer Graphics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Network and Communications</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">1</td>
                                        <td colspan="2">CSE 3715</td>
                                        <td colspan="3">Data Communication</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">2</td>
                                        <td colspan="2">CSE 4759</td>
                                        <td colspan="3">Wireless and Cellular Communication</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">3</td>
                                        <td colspan="2">CSE 4793</td>
                                        <td colspan="3">Advanced Network Services and Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">4</td>
                                        <td colspan="2">CSE 4783</td>
                                        <td colspan="3">Cryptography</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">5</td>
                                        <td colspan="2">CSE 4777</td>
                                        <td colspan="3">Networks Security</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">6</td>
                                        <td colspan="2">CSE 4763</td>
                                        <td colspan="3">Electronic Business</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Systems</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">1</td>
                                        <td colspan="2">CSE 4547</td>
                                        <td colspan="3">Multimedia Systems Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">2</td>
                                        <td colspan="2">CSE 4519</td>
                                        <td colspan="3">Distributed Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">3</td>
                                        <td colspan="2">CSE 4523</td>
                                        <td colspan="3">Simulation and Modeling</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">4</td>
                                        <td colspan="2">CSE 4521</td>
                                        <td colspan="3">Computer Graphics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">5</td>
                                        <td colspan="2">CSE 4587</td>
                                        <td colspan="3">Cloud Computing</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">6</td>
                                        <td colspan="2">CSE 4567</td>
                                        <td colspan="3">Advanced Database Management Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Data Science</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">1</td>
                                        <td colspan="2">CSE 4889</td>
                                        <td colspan="3">Machine Learning</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">2</td>
                                        <td colspan="2">CSE 4891</td>
                                        <td colspan="3">Data Mining</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">3</td>
                                        <td colspan="2">CSE 4893</td>
                                        <td colspan="3">Introduction to Bioinformatics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">4</td>
                                        <td colspan="2">CSE 4883</td>
                                        <td colspan="3">Digital Image Processing</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">5</td>
                                        <td colspan="2">CSE 4817</td>
                                        <td colspan="3">Big Data Analytics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Software Engineering</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td colspan="2">CSE 4451</td>
                                        <td colspan="3">Human Computer Interaction</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td colspan="2">CSE 4435</td>
                                        <td colspan="3">Software Architecture</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td colspan="2">CSE 4165</td>
                                        <td colspan="3">Web Programming</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td colspan="2">CSE 4181</td>
                                        <td colspan="3">Mobile Application Development</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td colspan="2">CSE 4495</td>
                                        <td colspan="3">Software Testing and Quality Assurance</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td colspan="2">CSE 4485</td>
                                        <td colspan="3">Game Design and Development</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Hardware</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td colspan="2">CSE 4329</td>
                                        <td colspan="3">Digital System Design</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td colspan="2">CSE 4379</td>
                                        <td colspan="3">Real-time Embedded Systems</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td colspan="2">CSE 4327</td>
                                        <td colspan="3">VLSI Design</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td colspan="2">CSE 4337</td>
                                        <td colspan="3">Robotics</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td colspan="2">CSE 4397</td>
                                        <td colspan="3">Interfacing</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>Information and Communication Technology</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td colspan="2">CSE 4941</td>
                                        <td colspan="3">Enterprise Systems: Concepts and Practice</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td colspan="2">CSE 4943</td>
                                        <td colspan="3">Web Application Security</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td colspan="2">CSE 4463</td>
                                        <td colspan="3">Electronic Business</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td colspan="2">CSE 4165</td>
                                        <td colspan="3">Web Programming</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td colspan="2">CSE 4181</td>
                                        <td colspan="3">Mobile Application Development</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td colspan="2">CSE 4945</td>
                                        <td colspan="3">UI: Concepts and Design</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>7</td>
                                        <td colspan="2">CSE 4949</td>
                                        <td colspan="3">IT Audit: Concepts and Practice</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>8</td>
                                        <td colspan="2">CSE 4587</td>
                                        <td colspan="3">Cloud Computing</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td>9</td>
                                        <td colspan="2">CSE 4495</td>
                                        <td colspan="3">Software Testing and Quality Assurance</td>
                                        <td colspan="2">3.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>(H) University required courses (2 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td colspan="2">URC 1103</td>
                                        <td colspan="3">Life Skills for Success</td>
                                        <td colspan="2">2.0</td>
                                    </tr>
                                    <tr>
                                        <td colspan="8">
                                            <p class="text-center"><strong>(I) Final Year Design Project (6 credits)</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td colspan="2">CSE 4000A</td>
                                        <td colspan="3">Final Year Design Project &ndash; I</td>
                                        <td colspan="2">2.0</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td colspan="2">CSE 4000B</td>
                                        <td colspan="3">Final Year Design Project &ndash; II</td>
                                        <td colspan="2">2.0</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td colspan="2">CSE 4000B</td>
                                        <td colspan="3">Final Year Design Project &ndash; II</td>
                                        <td colspan="2">2.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Summary of Courses (From 211 to Onwards)</strong></p>

                        <div class="table-holder">

                            <table border="1">
                                <tbody>
                                    <tr>
                                        <td rowspan="3"><strong>SL#</strong></td>
                                        <td rowspan="3"><strong>Group/Type of Courses</strong></td>
                                        <td colspan="3" rowspan="2"><strong>No of Courses</strong></td>
                                        <td rowspan="3"><strong>Total Courses</strong></td>
                                        <td colspan="3" rowspan="2"><strong>Credit hours</strong></td>
                                        <td rowspan="3"><strong>Total&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Credit hours</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>Theory</td>
                                        <td>Laboratory</td>
                                        <td>FYDP</td>
                                        <td>Theory</td>
                                        <td>Laboratory</td>
                                        <td>FYDP</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>Language</td>
                                        <td>2</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>2</td>
                                        <td>6</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>6</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>General Education</td>
                                        <td>4</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>4</td>
                                        <td>12</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>12</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>Basic Sciences</td>
                                        <td>2</td>
                                        <td>1</td>
                                        <td>_____</td>
                                        <td>3</td>
                                        <td>6</td>
                                        <td>1</td>
                                        <td>_____</td>
                                        <td>7</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>Mathematics</td>
                                        <td>4</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>4</td>
                                        <td>12</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>12</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>Other Engineering</td>
                                        <td>3</td>
                                        <td>1</td>
                                        <td>_____</td>
                                        <td>4</td>
                                        <td>9</td>
                                        <td>1</td>
                                        <td>_____</td>
                                        <td>10</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td>Core Courses</td>
                                        <td>17</td>
                                        <td>14</td>
                                        <td>_____</td>
                                        <td>31</td>
                                        <td>51</td>
                                        <td>14</td>
                                        <td>_____</td>
                                        <td>65</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>7</td>
                                        <td>Elective Courses</td>
                                        <td>5</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>5</td>
                                        <td>15</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>15</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>8</td>
                                        <td>University Required Courses</td>
                                        <td>2</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>2</td>
                                        <td>4</td>
                                        <td>0</td>
                                        <td>_____</td>
                                        <td>4</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>9</td>
                                        <td>Final Year Design Project</td>
                                        <td>_____</td>
                                        <td>_____</td>
                                        <td>1</td>
                                        <td>1</td>
                                        <td>&nbsp;</td>
                                        <td>0</td>
                                        <td>6</td>
                                        <td>6</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><strong>Total</strong></td>
                                        <td>39</td>
                                        <td>16</td>
                                        <td>1</td>
                                        <td><strong>56</strong></td>
                                        <td>115</td>
                                        <td>16</td>
                                        <td>6</td>
                                        <td><strong>137</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Course Equivalence</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td colspan="3">
                                            <p class="text-center"><strong>Old Course</strong></p>
                                        </td>
                                        <td colspan="3">
                                            <p class="text-center"><strong>New Course</strong></p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Cr.</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Cr.</strong></td>
                                    </tr>
                                    <tr>
                                        <td>PHY 105</td>
                                        <td>Physics</td>
                                        <td>3.0</td>
                                        <td>PHY 2105</td>
                                        <td>Physics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>PHY 106</td>
                                        <td>Physics Laboratory</td>
                                        <td>1.0</td>
                                        <td>PHY 2106</td>
                                        <td>Physics Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>SOC 101</td>
                                        <td>Society, Technology and<br />
                                            Engineering Ethics</td>
                                        <td>3.0</td>
                                        <td>SOC 2101</td>
                                        <td>Society,&nbsp; Environment&nbsp; and Engineering Ethics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>ACT 111</td>
                                        <td>Financial Accounting</td>
                                        <td>3.0</td>
                                        <td>ACT 2111</td>
                                        <td>Financial&nbsp; and&nbsp; Managerial Accounting</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>ECO 213</td>
                                        <td>Economics</td>
                                        <td>3.0</td>
                                        <td>ECO 4101</td>
                                        <td>Economics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>IPE 401</td>
                                        <td>Industrial Management</td>
                                        <td>3.0</td>
                                        <td>IPE 3401</td>
                                        <td>Industrial and Operational Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>PSY 101</td>
                                        <td>Psychology</td>
                                        <td>3.0</td>
                                        <td>PSY 2101</td>
                                        <td>Psychology</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>SOC 103</td>
                                        <td>Sociology</td>
                                        <td>3.0</td>
                                        <td>SOC 4101</td>
                                        <td>Introduction to Sociology</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>ENG 005</td>
                                        <td>Spoken English</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td>Course Code</td>
                                        <td>Course Title</td>
                                        <td>Cr.</td>
                                        <td>Course Code</td>
                                        <td>Course Title</td>
                                        <td>Cr.</td>
                                    </tr>
                                    <tr>
                                        <td>ENG 101</td>
                                        <td>English I</td>
                                        <td>3.0</td>
                                        <td>ENG 1011</td>
                                        <td>Intensive English I</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>ENG 103</td>
                                        <td>English II</td>
                                        <td>3.0</td>
                                        <td>ENG 1013</td>
                                        <td>Intensive English II</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>MATH 003</td>
                                        <td>Elementary Calculus</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>MATH 151</td>
                                        <td>Di erential&nbsp; and&nbsp; Integral Calculus</td>
                                        <td>3.0</td>
                                        <td>MATH 1151</td>
                                        <td>Fundamental Calculus</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>MATH 183</td>
                                        <td>Linear Algebra, Ordinary &amp; Partial Differential Equation</td>
                                        <td>3.0</td>
                                        <td>MATH 2181</td>
                                        <td>Calculus and Linear Algebra</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>MATH 187</td>
                                        <td>Fourier and Laplace Transformations and Complex Variables</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>MATH 201</td>
                                        <td>Coordinate geometry and Vector Analysis</td>
                                        <td>3.0</td>
                                        <td>MATH 2201</td>
                                        <td>Coordinate geometry and Vector Analysis</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>STAT 205</td>
                                        <td>Probability and Statistics</td>
                                        <td>3.0</td>
                                        <td>MATH 2205</td>
                                        <td>Probability and Statistics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 121</td>
                                        <td>Structured Programming Language</td>
                                        <td>3.0</td>
                                        <td>CSE 1111</td>
                                        <td>Structured Programming Language</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 122</td>
                                        <td>Structured Programming Language Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1112</td>
                                        <td>Structured Programming Language Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 211</td>
                                        <td>Object-Oriented&nbsp; Programming</td>
                                        <td>3.0</td>
                                        <td>CSE 1115</td>
                                        <td>Object-Oriented&nbsp; Programming</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 212</td>
                                        <td>Object-Oriented&nbsp; Programming Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1116</td>
                                        <td>Object-Oriented&nbsp; Programming Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 217</td>
                                        <td>Data Structure</td>
                                        <td>3.0</td>
                                        <td>CSE 2215</td>
                                        <td>Data Structure and Algorithms I</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 218</td>
                                        <td>Data Structure Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 2216</td>
                                        <td>Data Structure and Algorithms I Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 219</td>
                                        <td>Discrete Mathematics</td>
                                        <td>3.0</td>
                                        <td>CSE 2213</td>
                                        <td>Discrete Mathematics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 21</td>
                                        <td>Database Management Systems</td>
                                        <td>3.0</td>
                                        <td>CSE 3521</td>
                                        <td>Database Management Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td>CSI 222</td>
                                        <td>Database Management Systems Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3522</td>
                                        <td>Database Management Systems Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 227</td>
                                        <td>Algorithms</td>
                                        <td>3.0</td>
                                        <td>CSE 2217</td>
                                        <td>Data Structure and Algorithms II</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 228</td>
                                        <td>Algorithms Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 2218</td>
                                        <td>Data Structure and Algorithms II Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 233</td>
                                        <td>Theory of Computing</td>
                                        <td>3.0</td>
                                        <td>CSE 2233</td>
                                        <td>Theory of Computing</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 309</td>
                                        <td>Operating System Concepts</td>
                                        <td>3.0</td>
                                        <td>CSE 4509</td>
                                        <td>Operating System Concepts</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 310</td>
                                        <td>Operating System Concepts Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 4510</td>
                                        <td>Operating System Concepts Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 311</td>
                                        <td>System Analysis and Design</td>
                                        <td>3.0</td>
                                        <td>CSE 3411</td>
                                        <td>System Analysis and Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 312</td>
                                        <td>System Analysis and Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3412</td>
                                        <td>System Analysis and Design Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 321</td>
                                        <td>Software Engineering</td>
                                        <td>3.0</td>
                                        <td>CSE 3421</td>
                                        <td>Software Engineering</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 322</td>
                                        <td>Software Engineering Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3422</td>
                                        <td>Software Engineering Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 341</td>
                                        <td>Artificial Intelligence</td>
                                        <td>3.0</td>
                                        <td>CSE 3841</td>
                                        <td>Artificial Intelligence</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 342</td>
                                        <td>Artificial Intelligence Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3842</td>
                                        <td>Artificial Intelligence Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 411</td>
                                        <td>Compiler</td>
                                        <td>3.0</td>
                                        <td>CSE 4611</td>
                                        <td>Compiler Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 412</td>
                                        <td>Compiler Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 421</td>
                                        <td>Computer Graphics</td>
                                        <td>3.0</td>
                                        <td>CSE 4621</td>
                                        <td>Computer Graphics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 422</td>
                                        <td>Computer Graphics Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 423</td>
                                        <td>Simulation &amp; Modeling</td>
                                        <td>3.0</td>
                                        <td>CSE 4523</td>
                                        <td>Simulation and Modeling</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 424</td>
                                        <td>Simulation &amp; Modeling Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 447</td>
                                        <td>Multimedia Systems Design</td>
                                        <td>3.0</td>
                                        <td>CSE 4547</td>
                                        <td>Multimedia Systems Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSI 448</td>
                                        <td>Multimedia Systems Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 427</td>
                                        <td>VLSI Design</td>
                                        <td>3.0</td>
                                        <td>CSE 4327</td>
                                        <td>VLSI Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 428</td>
                                        <td>VLSI Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 471</td>
                                        <td>Advanced Object Oriented Programming</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td>CSE 472</td>
                                        <td>Advanced Object Oriented Programming Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 113</td>
                                        <td>Electrical Circuits</td>
                                        <td>3.0</td>
                                        <td>EEE 2113</td>
                                        <td>Electrical Circuits</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 123</td>
                                        <td>Electronics</td>
                                        <td>3.0</td>
                                        <td>EEE 2123</td>
                                        <td>Electronics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 124</td>
                                        <td>Electronics Laboratory</td>
                                        <td>1.0</td>
                                        <td>EEE 2124</td>
                                        <td>Electronics Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 225</td>
                                        <td>Digital Logic Design</td>
                                        <td>3.0</td>
                                        <td>CSE 1325</td>
                                        <td>Digital Logic Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 226</td>
                                        <td>Digital Logic Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1326</td>
                                        <td>Digital Logic Design Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 236</td>
                                        <td>Assembly Programming Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 313</td>
                                        <td>Computer Architecture</td>
                                        <td>3.0</td>
                                        <td>CSE 3313</td>
                                        <td>Computer Architecture</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 315</td>
                                        <td>Data Communication</td>
                                        <td>3.0</td>
                                        <td>CSE 3715</td>
                                        <td>Data Communication</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 323</td>
                                        <td>Computer Networks</td>
                                        <td>3.0</td>
                                        <td>CSE 3711</td>
                                        <td>Computer Networks</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 324</td>
                                        <td>Computer Networks Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3711</td>
                                        <td>Computer Networks Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 429</td>
                                        <td>Digital System Design</td>
                                        <td>3.0</td>
                                        <td>CSE 4329</td>
                                        <td>Digital System Design</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 430</td>
                                        <td>Digital System Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 425</td>
                                        <td>Microprocessor,&nbsp; Microcontroller and Interfacing</td>
                                        <td>3.0</td>
                                        <td>CSE 4325</td>
                                        <td>Microprocessors and Microcontrollers</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 426</td>
                                        <td>Microprocessor,&nbsp; Microcontroller and Interfacing Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 4326</td>
                                        <td>Microprocessors and Microcontrollers Laboratory</td>
                                        <td>1.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 453</td>
                                        <td>Optical Fiber Communication</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 457</td>
                                        <td>Mobile Cellular Communication</td>
                                        <td>3.0</td>
                                        <td>CSE 4759</td>
                                        <td>Wireless and Cellular Communication</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 461</td>
                                        <td>Wireless Communication</td>
                                        <td>3.0</td>
                                        <td>CSE 4759</td>
                                        <td>Wireless and Cellular Communication</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 463</td>
                                        <td>E-Commerce</td>
                                        <td>3.0</td>
                                        <td>CSE 4763</td>
                                        <td>Electronic Business</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 465</td>
                                        <td>Web Programming</td>
                                        <td>3.0</td>
                                        <td>CSE</td>
                                        <td>4165 Web Programming</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 467</td>
                                        <td>Advanced DBMS</td>
                                        <td>3.0</td>
                                        <td>CSE 4567</td>
                                        <td>Advanced&nbsp; Database&nbsp; Management Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td>CSE 469</td>
                                        <td>Project Management</td>
                                        <td>3.0</td>
                                        <td>PMG 4101</td>
                                        <td>Project Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 473</td>
                                        <td>Advanced Network Services and Management</td>
                                        <td>3.0</td>
                                        <td>CSE 4773</td>
                                        <td>Advanced Network Services and Management</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 475</td>
                                        <td>Mobile Computing</td>
                                        <td>3.0</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                        <td>&ndash;</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 477</td>
                                        <td>Network Security</td>
                                        <td>3.0</td>
                                        <td>CSE 4777</td>
                                        <td>Network Security</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 479</td>
                                        <td>Embedded Systems</td>
                                        <td>3.0</td>
                                        <td>CSE 4379</td>
                                        <td>Real-time&nbsp; Embedded&nbsp; Systems</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 481</td>
                                        <td>Mobile Application Development</td>
                                        <td>3.0</td>
                                        <td>CSE 4181</td>
                                        <td>Mobile Application Development</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 483</td>
                                        <td>Digital Image Processing</td>
                                        <td>3.0</td>
                                        <td>CSE 4883</td>
                                        <td>Digital Image Processing</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 485</td>
                                        <td>Game Design and Development</td>
                                        <td>3.0</td>
                                        <td>CSE 4485</td>
                                        <td>Game Design and Development</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 487</td>
                                        <td>Cloud Computing</td>
                                        <td>3.0</td>
                                        <td>CSE 4587</td>
                                        <td>Cloud Computing</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 489</td>
                                        <td>Machine Learning</td>
                                        <td>3.0</td>
                                        <td>CSE 4889</td>
                                        <td>Machine Learning</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 491</td>
                                        <td>Data Mining</td>
                                        <td>3.0</td>
                                        <td>CSE 4891</td>
                                        <td>Data Mining</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 493</td>
                                        <td>Introduction&nbsp; to&nbsp; Bioinformatics</td>
                                        <td>3.0</td>
                                        <td>CSE 4893</td>
                                        <td>to&nbsp; Bioinformatics</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 495</td>
                                        <td>Software Testing, Verification and Quality Assurance</td>
                                        <td>3.0</td>
                                        <td>CSE 4495</td>
                                        <td>Software Testing, Verification and Quality Assurance</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 451</td>
                                        <td>Human Computer Interaction</td>
                                        <td>3.0</td>
                                        <td>CSE 4451</td>
                                        <td>Human Computer Interaction</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 455</td>
                                        <td>Advanced Algorithms</td>
                                        <td>3.0</td>
                                        <td>CSE 4655</td>
                                        <td>Algorithm Engineering</td>
                                        <td>3.0</td>
                                    </tr>
                                    <tr>
                                        <td>CSE 499</td>
                                        <td>Building a Tech Startup</td>
                                        <td>3.0</td>
                                        <td>TEC 2499</td>
                                        <td>Technology Entrepreneurship</td>
                                        <td>3.0</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>B. Sc. in CSE (Total 137 Credits), Trimester-wise Distribution of Courses [211 to onwards]</strong></p>

                        <p class="text-center"><strong>Trimester 1:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>ENG 1011</td>
                                        <td>English &ndash; I</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>URC 1103</td>
                                        <td>Life Skills for Success</td>
                                        <td>2.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 1110</td>
                                        <td>Introduction to Computer Systems</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 2213</td>
                                        <td>Discrete Mathematics</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>9.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 2:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>ENG 1013</td>
                                        <td>English &ndash; II</td>
                                        <td>3.0</td>
                                        <td>ENG 1011</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 1111</td>
                                        <td>Structured Programming Language</td>
                                        <td>3.0</td>
                                        <td>CSE 1110</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 1112</td>
                                        <td>Structured Programming Language Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1110</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>BDS 1201</td>
                                        <td>History of the Emergence of Bangladesh</td>
                                        <td>2.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>9.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 3:</strong></p>


                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>MATH 1151</td>
                                        <td>Fundamental Calculus</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 1325</td>
                                        <td>Digital Logic Design</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 1326</td>
                                        <td>Digital Logic Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 1115</td>
                                        <td>Object Oriented Programming</td>
                                        <td>3.0</td>
                                        <td>CSE 1111</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 1116</td>
                                        <td>Object Oriented Programming Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1112</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>11.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 4:</strong></p>

                        <table>
                            <tbody>
                                <tr>
                                    <td><strong>SL</strong></td>
                                    <td><strong>Course Code</strong></td>
                                    <td><strong>Course Title</strong></td>
                                    <td><strong>Credit Hour</strong></td>
                                    <td><strong>Prerequisite</strong></td>
                                </tr>
                                <tr>
                                    <td>1</td>
                                    <td>MATH 2183</td>
                                    <td>Calculus and Linear Algebra</td>
                                    <td>3.0</td>
                                    <td>MATH 1151</td>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td>PHY 2105</td>
                                    <td>Physics</td>
                                    <td>3.0</td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>3</td>
                                    <td>PHY 2106</td>
                                    <td>Physics Laboratory</td>
                                    <td>1.0</td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>4</td>
                                    <td>CSE 2118</td>
                                    <td>Advanced Object Oriented Programming laboratory</td>
                                    <td>1.0</td>
                                    <td>CSE 1116</td>
                                </tr>
                                <tr>
                                    <td>5</td>
                                    <td>EEE 2113</td>
                                    <td>Electrical Circuits</td>
                                    <td>3.0</td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td><strong>Total</strong></td>
                                    <td><strong>11.0</strong></td>
                                    <td>&nbsp;</td>
                                </tr>
                            </tbody>
                        </table>

                        <p class="text-center"><strong>Trimester 5:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>MATH 2201</td>
                                        <td>Coordinate Geometry and Vector Analysis</td>
                                        <td>3.0</td>
                                        <td>MATH 1151</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>SOC 2101</td>
                                        <td>Society, Environment and Engineering Ethics</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 2215</td>
                                        <td>Data Structure and Algorithms &ndash; I</td>
                                        <td>3.0</td>
                                        <td>CSE 1115</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 2216</td>
                                        <td>Data Structure and Algorithms &ndash; I Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 1116</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 2233</td>
                                        <td>Theory of Computation</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>13.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 6:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>MATH 2205</td>
                                        <td>Probability and Statistics</td>
                                        <td>3.0</td>
                                        <td>MATH 1151</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 2217</td>
                                        <td>Data Structure and Algorithms &ndash; II</td>
                                        <td>3.0</td>
                                        <td>CSE 2215</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 2218</td>
                                        <td>Data Structure and Algorithms &ndash; II Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 2216</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>EEE 2123</td>
                                        <td>Electronics</td>
                                        <td>3.0</td>
                                        <td>EEE 2113</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>EEE 2124</td>
                                        <td>Electronics Laboratory</td>
                                        <td>1.0</td>
                                        <td>EEE 2113</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>11.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 7:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 3521</td>
                                        <td>Database Management Systems</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 3522</td>
                                        <td>Database Management Systems Laboratory</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 3313</td>
                                        <td>Computer Architecture</td>
                                        <td>3.0</td>
                                        <td>CSE 1325</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 3811</td>
                                        <td>Artificial Intelligence</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 3812</td>
                                        <td>Artificial Intelligence Laboratory</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>11.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 8:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 4325</td>
                                        <td>Microprocessors and Microcontrollers</td>
                                        <td>3.0</td>
                                        <td>CSE 3313</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 4326</td>
                                        <td>Microprocessors and Microcontrollers Laboratory</td>
                                        <td>1.0</td>
                                        <td>EEE 2124</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 3411</td>
                                        <td>System Analysis and Design</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 3412</td>
                                        <td>System Analysis and Design Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3522</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 3711</td>
                                        <td>Computer Networks</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>6</td>
                                        <td>CSE 3712</td>
                                        <td>Computer Networks Laboratory</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>12.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 9:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>BIO 3105</td>
                                        <td>Biology for Engineers</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 3421</td>
                                        <td>Software Engineering</td>
                                        <td>3.0</td>
                                        <td>CSE 3411</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE 3422</td>
                                        <td>Software Engineering Laboratory</td>
                                        <td>1.0</td>
                                        <td>CSE 3412</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE ****</td>
                                        <td>Programming Optional</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>CSE 4165</td>
                                        <td>Web Programming</td>
                                        <td>&nbsp;</td>
                                        <td>CSE 3521</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>CSE 4181</td>
                                        <td>Mobile Application Development</td>
                                        <td>&nbsp;</td>
                                        <td>CSE 1115</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>PMG 4101</td>
                                        <td>Project Management</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>13.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 10:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>GED OPT1</td>
                                        <td>General Education Optional</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Optional (Any two: 6 credits)</strong></td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>ECO 4101</td>
                                        <td>Economics</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>SOC 4101</td>
                                        <td>Introduction to Sociology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>ACT 2111</td>
                                        <td>Financial and Managerial Accounting</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>IPE 3401</td>
                                        <td>Industrial and Operational Management</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>TEC 2499</td>
                                        <td>Technology Entrepreneurship</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>PSY 2101</td>
                                        <td>Psychology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>BDS 2201</td>
                                        <td>Bangladesh Studies</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>BAN 2501</td>
                                        <td>Bangla</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE 4000A</td>
                                        <td>Final Year Design Project &ndash; I</td>
                                        <td>2.0</td>
                                        <td>PMG 4101, SOC 2101</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE ****</td>
                                        <td>Elective &ndash; I</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>(Any 5: (15 credits) at least 3 courses have to be completed from 1 area (see attachment)</strong></td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>i</td>
                                        <td>&nbsp;</td>
                                        <td>Computational Theory</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>ii</td>
                                        <td>&nbsp;</td>
                                        <td>Network and Communications</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iii</td>
                                        <td>&nbsp;</td>
                                        <td>Systems</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iv</td>
                                        <td>&nbsp;</td>
                                        <td>Data Science</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>v</td>
                                        <td>&nbsp;</td>
                                        <td>Software Engineering</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vi</td>
                                        <td>&nbsp;</td>
                                        <td>Hardware</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vii</td>
                                        <td>&nbsp;</td>
                                        <td>Information and Communication Technology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 3509</td>
                                        <td>Operating Systems</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 3510</td>
                                        <td>Operating Systems Laboratory</td>
                                        <td>1.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>12.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 11:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>GED OPT II</td>
                                        <td>General Education Optional &ndash; II</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Optional (Any two: 6 credits)</strong></td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>ECO 4101</td>
                                        <td>Economics</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>SOC 4101</td>
                                        <td>Introduction to Sociology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>ACT 2111</td>
                                        <td>Financial and Managerial Accounting</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>IPE 3401</td>
                                        <td>Industrial and Operational Management</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>TEC 2499</td>
                                        <td>Technology Entrepreneurship</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>PSY 2101</td>
                                        <td>Psychology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>BDS 2201</td>
                                        <td>Bangladesh Studies</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>BAN 2501</td>
                                        <td>Bangla</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>CSE ****</td>
                                        <td>Elective &ndash; II</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE ****</td>
                                        <td>Elective &ndash; III</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Any 5: (15 credits) at least 3 courses have to be completed from 1 area (see attachment)</strong></td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>i</td>
                                        <td>&nbsp;</td>
                                        <td>Computational Theory</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>ii</td>
                                        <td>&nbsp;</td>
                                        <td>Network and Communications</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iii</td>
                                        <td>&nbsp;</td>
                                        <td>Systems</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iv</td>
                                        <td>&nbsp;</td>
                                        <td>Data Science</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>v</td>
                                        <td>&nbsp;</td>
                                        <td>Software Engineering</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vi</td>
                                        <td>&nbsp;</td>
                                        <td>Hardware</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vii</td>
                                        <td>&nbsp;</td>
                                        <td>Information and Communication Technology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE 4000B</td>
                                        <td>Final Year Design Project &ndash; II</td>
                                        <td>2.0</td>
                                        <td>CSE 4000A</td>
                                    </tr>
                                    <tr>
                                        <td>5</td>
                                        <td>CSE 4531</td>
                                        <td>Computer Security</td>
                                        <td>3.0</td>
                                        <td>CSE 3711</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Total</strong></td>
                                        <td><strong>14.0</strong></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester 12:</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td><strong>SL</strong></td>
                                        <td><strong>Course Code</strong></td>
                                        <td><strong>Course Title</strong></td>
                                        <td><strong>Credit Hour</strong></td>
                                        <td><strong>Prerequisite</strong></td>
                                    </tr>
                                    <tr>
                                        <td>1</td>
                                        <td>CSE 4000C</td>
                                        <td>Final Year Design Project &ndash; III</td>
                                        <td>2.0</td>
                                        <td>CSE 4000 B</td>
                                    </tr>
                                    <tr>
                                        <td>2</td>
                                        <td>EEE 4261</td>
                                        <td>Green Computing</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>3</td>
                                        <td>CSE ****</td>
                                        <td>Elective &ndash; IV</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>4</td>
                                        <td>CSE ****</td>
                                        <td>Elective &ndash; V</td>
                                        <td>3.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td><strong>Any 5: (15 credits) at least 3 courses have to be completed from 1 area (see attachment)</strong></td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>i</td>
                                        <td>&nbsp;</td>
                                        <td>Computational Theory</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>ii</td>
                                        <td>&nbsp;</td>
                                        <td>Network and Communications</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iii</td>
                                        <td>&nbsp;</td>
                                        <td>Systems</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>iv</td>
                                        <td>&nbsp;</td>
                                        <td>Data Science</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>v</td>
                                        <td>&nbsp;</td>
                                        <td>Software Engineering</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vi</td>
                                        <td>&nbsp;</td>
                                        <td>Hardware</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>vii</td>
                                        <td>&nbsp;</td>
                                        <td>Information and Communication Technology</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>Total</td>
                                        <td>11.0</td>
                                        <td>&nbsp;</td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>

                        <p class="text-center"><strong>Trimester Wise Distribution of Courses</strong></p>

                        <div class="table-holder">

                            <table>
                                <tbody>
                                    <tr>
                                        <td>Trimester</td>
                                        <td>Theory Credits (Course)</td>
                                        <td>Lab Credits (Course)</td>
                                        <td>Total Credits</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 1</td>
                                        <td>8 (3)</td>
                                        <td>1 (1)</td>
                                        <td>9</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 2</td>
                                        <td>8 (3)</td>
                                        <td>1 (1)</td>
                                        <td>9</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 3</td>
                                        <td>9 (3)</td>
                                        <td>2 (2)</td>
                                        <td>11</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 4</td>
                                        <td>9 (3)</td>
                                        <td>2 (2)</td>
                                        <td>11</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 5</td>
                                        <td>12 (4)</td>
                                        <td>1 (1)</td>
                                        <td>13</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 6</td>
                                        <td>9 (3)</td>
                                        <td>2 (2)</td>
                                        <td>11</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 7</td>
                                        <td>9 (3)</td>
                                        <td>2 (2)</td>
                                        <td>11</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 8</td>
                                        <td>9 (3)</td>
                                        <td>3 (3)</td>
                                        <td>12</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 9</td>
                                        <td>12 (4)</td>
                                        <td>1 (1)</td>
                                        <td>13</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 10</td>
                                        <td>11 (4)</td>
                                        <td>1 (1)</td>
                                        <td>12</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 11</td>
                                        <td>14 (4)</td>
                                        <td>0</td>
                                        <td>14</td>
                                    </tr>
                                    <tr>
                                        <td>Trimester 12</td>
                                        <td>11 (3)</td>
                                        <td>0</td>
                                        <td>11</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Total</strong></td>
                                        <td><strong>121 (40)</strong></td>
                                        <td><strong>16 (16)</strong></td>
                                        <td><strong>137</strong></td>
                                    </tr>
                                </tbody>
                            </table>

                        </div>


            </section>
    </main><!-- #main -->
<?php endwhile; // end of the loop.
?>
<style>
    #course-plan-container table {
        width: 100%;
        background-color: #fff;
    }

    #course-plan-container th,
    #course-plan-container td {
        font-size: 0.75rem;
        padding: 0.5rem;
        border: 1px solid #000;
    }

    #course-plan-container th {
        font-weight: 700;
    }

    #course-plan-container td {
        font-weight: 500;
    }

    .text-center {
        text-align: center;
    }

    #archive-hero {
        padding: 2rem 0;
        background: #f3f0ec;
    }

    #archive-hero .content {
        display: flex;
        align-items: start;
    }

    #archive-hero .content .left-content {
        padding: 1rem;
        padding-left: 0 !important;
        flex: 1;
    }

    #archive-hero .content .left-content .main-title {
        font-size: 2.2rem;
        font-weight: 500;
        color: #000000;
    }

    #archive-hero .content .left-content .short-details {
        margin-top: 1.5rem;
        font-size: 1.1rem;
        font-weight: 400;
    }

    #archive-hero .content .left-content .links {
        margin-top: 2rem;
        display: flex;
        gap: 1.8rem;
    }

    #archive-hero .content .left-content .links a {
        height: 1.3rem;
    }

    #archive-hero .content .left-content .links a:hover {
        transform: scale(1.1);
        opacity: 1 !important;
    }

    #archive-hero .content .left-content .links a img {
        height: 100%;
    }

    #archive-hero .content .right-content {
        padding: 0 0 1rem 2rem !important;
        flex: 1;
        align-self: end;
    }

    #archive-hero .content .right-content img {
        width: 100%;
    }

    a {
        transition: all 0.25s ease-in-out;
    }

    a:hover {
        opacity: 0.65;
        text-decoration: none;
    }

    #course-plan-container {
        margin-top: 3rem;
        display: flex;
        gap: 0.5rem;
    }

    @media (max-width: 1000px) {
        #course-plan-container {
            flex-direction: column;
        }

        #course-plan-container .main-comp {
            order: 0;
        }

        #course-plan-container .side-comp {
            order: 1;
        }

        #course-plan-container .main-comp,
        #course-plan-container .side-comp {
            width: 100% !important;
        }
    }

    #course-plan-container .main-comp {
        padding: 0 0.75rem 1rem 0;
        width: calc(100% - (0.5rem + 240px));
    }

    #course-plan-container .main-comp article {
        margin-top: 0;
        width: 100%;
        padding: 2rem;
    }

    #course-plan-container .main-comp article h2 {
        font-weight: 500;
        text-align: start;
        color: #000;
        margin-bottom: 1rem;
    }

    #course-plan-container .main-comp .table-holder {
        width: 100%;
        overflow-x: auto;
    }

    #course-plan-container .main-comp .table-holder .td-title {
        border-right: none;
        border-left: none;
        padding-top: 20px;
    }

    #course-plan-container .main-comp .table-holder p {
        margin-bottom: unset;
    }

    #course-plan-container .side-comp {
        width: 240px;
        padding: 0 0.25rem 1rem 0 !important;
    }

    #course-plan-container .side-comp .item {
        margin-bottom: 2rem;
        padding: 1rem;
        background-color: blanchedalmond;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.15), 0 3px 3px rgba(0, 0, 0, 0.15);
    }

    #course-plan-container .side-comp .item .item-title {
        padding: 0.25rem 1rem 0.75rem;
        text-align: center;
        border-bottom: 3px solid #F68B1F;
        color: #000;
        font-weight: 700;
        font-size: 0.7rem;
    }

    #course-plan-container .side-comp .item .item-container {
        padding: 0.5rem;
    }

    #course-plan-container .side-comp .item .item-container .single-item {
        display: block;
        margin-bottom: 0.75rem;
        padding-bottom: 2rem;
        border-bottom: 1px solid #2c5d73;
        transition: all 0.25s ease-in-out;
    }

    #course-plan-container .side-comp .item .item-container .single-item:last-child {
        border-bottom: none;
        margin-bottom: 0rem;
        padding-bottom: 0.25rem;
    }

    #course-plan-container .side-comp .item .item-container .single-item .date {
        font-size: 0.8rem;
        font-weight: 500;
        color: #c66f17;
    }

    #course-plan-container .side-comp .item .item-container .single-item .single-item-title {
        font-size: 0.8rem;
        font-weight: 700;
        color: #2c5d73;
    }

    #course-plan-container .side-comp .item .item-container .single-item .date-container {
        display: flex;
        align-items: center;
        gap: 0.7rem;
    }

    #course-plan-container .side-comp .item .item-container .single-item .date-container .date {
        font-size: 0.75rem;
    }

    #course-plan-container .side-comp .item .item-container .single-item .date-container .icon {
        width: 0.75rem;
        color: #ffffff;
    }

    #course-plan-container .side-comp .item .item-container .single-item .date-container .icon img {
        width: 100%;
    }

    #course-plan-container .side-comp .item .item-container .single-item .details {
        font-size: 0.7rem;
        margin-top: 0.3rem;
        color: #232323;
    }

    #course-plan-container .side-comp .item .link-container {
        padding-top: 0.25rem;
    }

    #course-plan-container .side-comp .item .link-container ul {
        margin-bottom: unset;
    }

    #course-plan-container .side-comp .item .link-container ul li {
        list-style: none;
    }

    #course-plan-container .side-comp .item .link-container a {
        display: block;
        color: #333;
        font-size: 0.8rem;
        font-weight: 500;
        padding: 0.5rem 0;
        border-bottom: 1px solid #c5c5c5;
    }

    #course-plan-container .side-comp .item .link-container a:hover {
        opacity: 1 !important;
        color: #ff860d;
    }

    #course-plan-container .side-comp .item .news {
        font-size: 0.7rem !important;
        padding-bottom: 2rem !important;
    }

    #course-plan-container .side-comp .item .view-more {
        display: flex;
        align-items: center;
        padding: 0 0.5rem 0.5rem;
        gap: 0.5rem;
    }

    #course-plan-container .side-comp .item .view-more .icon {
        width: 1rem;
    }

    #course-plan-container .side-comp .item .view-more .icon img {
        width: 100%;
    }

    #course-plan-container .side-comp .item .view-more span {
        font-size: 0.85rem;
        color: #2F4858;
        font-weight: bolder !important;
        transition: all 0.35s ease-in-out;
    }

    #course-plan-container .side-comp .item .view-more:hover {
        opacity: 1;
    }

    #course-plan-container .side-comp .item .view-more:hover span {
        color: #E55807;
    }

    @media print {

        head,
        header,
        footer {
            display: none;
        }

        main {
            padding-top: 0 !important;
            margin-top: 0 !important;
        }

        #archive-hero {
            margin: 0;
        }

        #course-plan-container {
            display: flex;
            flex-direction: column;
        }

        #course-plan-container .main-comp {
            order: 0;
        }

        #course-plan-container .side-comp {
            display: none;
        }

        #course-plan-container .main-comp,
        #course-plan-container .side-comp {
            width: 100% !important;
        }
    }

    /*# sourceMappingURL=course-plan.css.map */
</style>
<?php
get_footer();
